### Method

# Cogl OnscreenTemplate set_samples_per_pixel

#### Declaration [src]

    void
    cogl_onscreen_template_set_samples_per_pixel (
      CoglOnscreenTemplate* onscreen_template,
      int n
    )

#### Description [src]

Requires that any future CoglOnscreen framebuffers derived from this template must support making at least `n` samples per pixel which will all contribute to the final resolved color for that pixel.

By default this value is usually set to 0 and that is referred to as “single-sample” rendering. A value of 1 or greater is referred to as “multisample” rendering.

There are some semantic differences between single-sample rendering and multisampling with just 1 point sample such as it being redundant to use the `cogl_framebuffer_resolve_samples()` and `cogl_framebuffer_resolve_samples_region()` apis with single-sample rendering.

#### Parameters

`n`

  Type: `int`

  The minimum number of samples per pixel.